<?xml version='1.0' encoding='iso-8859-1'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version='1.0'>


  <xsl:template match="table">
    <div align="{$html.div.table.align}">
      <table>
	<xsl:if test="@rend='rules'"><xsl:attribute name="rules">all</xsl:attribute></xsl:if>
	<xsl:if test="$html.table.align"><xsl:attribute name="align"><xsl:value-of select="$html.table.align"/></xsl:attribute></xsl:if>
	<xsl:if test="$html.table.bgcolor"><xsl:attribute name="bgcolor"><xsl:value-of select="$html.table.bgcolor"/></xsl:attribute></xsl:if>
	<xsl:if test="$html.table.border"><xsl:attribute name="border"><xsl:value-of select="$html.table.border"/></xsl:attribute></xsl:if>
	<xsl:if test="$html.table.cellspacing"><xsl:attribute name="cellspacing"><xsl:value-of select="$html.table.cellspacing"/></xsl:attribute></xsl:if>
	<xsl:if test="$html.table.cellpadding"><xsl:attribute name="cellpadding"><xsl:value-of select="$html.table.cellpadding"/></xsl:attribute></xsl:if>
	<tbody>
	  <xsl:apply-templates select="row"/>
	</tbody>
      </table>
      <xsl:apply-templates select="head" mode="table"/>
    </div>
  </xsl:template>
  
  
  <xsl:template match="head" mode="table">
    <xsl:variable name="nodes" select="node()"/>
    <xsl:if test="$nodes">
      <p>
	<xsl:call-template name="i18n.text">
	  <xsl:with-param name="text.name">table</xsl:with-param>
	</xsl:call-template>
	<xsl:apply-templates select="node()"/>
      </p>
    </xsl:if>
  </xsl:template>
  
  
  <xsl:template match="row">
    <tr>
      <xsl:apply-templates/>
    </tr>
  </xsl:template>
  
  <xsl:template match="cell">
    <td>
      <xsl:apply-templates/>
    </td>
  </xsl:template>
  
  
</xsl:stylesheet>

<!-- Keep this comment at the end of the file
Local variables:
mode: xml
sgml-always-quote-attributes:t
sgml-indent-step:2
sgml-indent-data:t
sgml-default-dtd-file:"/local/led/share/dtd/xsl/xsl.ced"
End:
-->
